Bug 19982 - Switch single-column templates to Bootstrap grid: Patrons
Summary: Switch single-column templates to Bootstrap grid: Patrons
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on: 19641
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-16 16:11 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19982 - Switch single-column templates to Bootstrap grid: Patrons (2.79 KB, patch)
2018-01-16 16:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19982 - Switch single-column templates to Bootstrap grid: Patrons (2.85 KB, patch)
2018-01-23 14:23 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19982: Switch single-column templates to Bootstrap grid: Patrons (2.92 KB, patch)
2018-02-07 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-16 16:11:11 UTC
There are two single-column templates in the Patrons module which can be updated to use Bootstrap:

discharges.tt
members-update.tt
Comment 1 Owen Leonard 2018-01-16 16:21:06 UTC
Created attachment 70560 [details] [review]
Bug 19982 - Switch single-column templates to Bootstrap grid: Patrons

This patch updates two single-column patron module templates to use
the Bootstrap grid:

- discharges.tt - The list of pending discharges. One or more
  discharges must have been made via the OPAC. From the staff client
  home page, look for "Discharge requests pending."

- members-update.tt - The list of pending patron updates. One or more
  updates must have been submitted via the OPAC. From the staff client
  home page, look for "Patrons requesting modifications."

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.
Comment 2 Claire Gravely 2018-01-23 14:23:41 UTC
Created attachment 70839 [details] [review]
Bug 19982 - Switch single-column templates to Bootstrap grid: Patrons

This patch updates two single-column patron module templates to use
the Bootstrap grid:

- discharges.tt - The list of pending discharges. One or more
  discharges must have been made via the OPAC. From the staff client
  home page, look for "Discharge requests pending."

- members-update.tt - The list of pending patron updates. One or more
  updates must have been submitted via the OPAC. From the staff client
  home page, look for "Patrons requesting modifications."

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-04 18:02:12 UTC
Depends on bug that still requires sign-off.
Comment 4 Katrin Fischer 2018-02-07 21:36:36 UTC
Created attachment 71332 [details] [review]
Bug 19982: Switch single-column templates to Bootstrap grid: Patrons

This patch updates two single-column patron module templates to use
the Bootstrap grid:

- discharges.tt - The list of pending discharges. One or more
  discharges must have been made via the OPAC. From the staff client
  home page, look for "Discharge requests pending."

- members-update.tt - The list of pending patron updates. One or more
  updates must have been submitted via the OPAC. From the staff client
  home page, look for "Patrons requesting modifications."

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2018-02-07 21:37:17 UTC
Tested on top of dependent bug 19641
Comment 6 Jonathan Druart 2018-02-15 16:39:41 UTC
Pushed to master for 18.05, thanks to everybody involved!